### Method

# FwupdPlugin Context set_tmpdir

since: 2.1.1

#### Declaration [src]

    void
    fu_context_set_tmpdir (
      FuContext* self,
      FuPathKind kind,
      FuTemporaryDirectory* tmpdir
    )

#### Description [src]

Sets the `kind` to a temporary path.

Available since: 2.1.1

#### Parameters

`kind`

  Type: `FuPathKind`

  No description available.

`tmpdir`

  Type: `FuTemporaryDirectory`

  A `FuTemporaryDirectory`.

  The data is owned by the caller of the method.